1.0

1.0

get /v1/cloudmonitorings/product/v1/product-types

Description

Search a list of product types supported by monitoring.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryproductCategoryCode
optional
Product type category - If not specified, the entire product type code will be retrieved.
Example : Compute
stringNone
querypage
optional
Page Number (default: 0)
Example : 0
integerNone
querysize
optional
Page Contents Size (default: 10)
Example : 10
integerNone
querysort
optional
Sorting Field List
array[string]None

Responses

HTTP CodeDescriptionSchema
200OKPageResponseProductTypeInfoDto
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/product/v1/product-types

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "parentProductTypeName": "Compute",
            "productTypeCode": "VM",
            "productTypeName": "Virtual Server",
            "stateMetricKey": "vsphere.mxvm.runtime.state"
        }
    ],
    "isChanged": "",
    "returnCount": "",
    "returnPage": "",
    "sort": [
        ""
    ],
    "sortableFields": [
        ""
    ],
    "totalCount": ""
}